Subject: [sipcore] Alissa Cooper's Discuss on draft-ietf-sipcore-digest-scheme-11: (with DISCUSS)

From: Alissa Cooper via Datatracker <[email-masked]>
Date: Wed, 30 Oct 2019 08:24:40 -0700

Alissa Cooper has entered the following ballot position for
draft-ietf-sipcore-digest-scheme-11: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-digest-scheme/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

I appreciate the new text in Section 2.7, but I'm still a little unclear on the
ABNF that is specified. As far as I can tell the relevant line from the
original ABNF in RFC 3261 is:

     algorithm        =  "algorithm" EQUAL ( "MD5" / "MD5-sess"
                       / token )

And what it is being replaced with is:

   algorithm = "algorithm" EQUAL ( "MD5" / "SHA-512-256" / "SHA-256"
                 / token )

   Each one of these algorithms might have a "-sess" variant, e.g.,
   MD5-sess, SHA-256-sess, etc, as defined in [RFC7616]

But the point of ABNF is to formally specify the syntax, so just having the
note after the definition that says there might be -sess variants leaves it
unclear whether those -sess variants are expected in the "algorithm=" line. And
if it is valid for them to appear, they need to be formally included in the
ABNF line, I think.

---

From: Paul Kyzivat <[email-masked]>
Date: Wed, 30 Oct 2019 11:57:52 -0400

Inline

> https://datatracker.ietf.org/doc/draft-ietf-sipcore-digest-scheme/

I agree. Seems like the proper syntax would be:

    algorithm = "algorithm" EQUAL (
                  ("MD5" / "SHA-512-256" / "SHA-256") ["-sess"])
                  / token )

	Thanks,
	Paul

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Wed, 30 Oct 2019 12:34:28 -0400

Thanks Alissa, Paul,

I have just submitted a new version that addresses this issue.

Regards,
 Rifaat

On Wed, Oct 30, 2019 at 11:58 AM Paul Kyzivat <[email-masked]> wrote:

> > Please refer to
> https://www.ietf.org/iesg/statement/discuss-criteria.html

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 30 Oct 2019 18:26:38 +0000

Hi,

>                  ("MD5" / "SHA-512-256" / "SHA-256") ["-sess"])

Is that really correct? Doesn't it mean that you would need to put a space between the algorithm and "-sess", for example "SHA-512-256<space>-sess"?

Regards,

Christer

        Thanks,
        Paul

_______________________________________________
sipcore mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/sipcore

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Wed, 30 Oct 2019 18:23:56 -0400

I will spell it out in the next version of the document, similar to
RFC3261, to avoid any possible confusion.

Regards,
 Rifaat

On Wed, Oct 30, 2019 at 2:26 PM Christer Holmberg <
[email-masked]> wrote:

> Is that really correct? Doesn't it mean that you would need to put a space
> between the algorithm and "-sess", for example "SHA-512-256<space>-sess"?
>
> Regards,
>
> Christer
>
>
>         Thanks,
>         Paul
>

---

From: Adam Roach <[email-masked]>
Date: Wed, 30 Oct 2019 17:49:38 -0500

On 10/30/19 1:26 PM, Christer Holmberg wrote:
> Is that really correct? Doesn't it mean that you would need to put a 
> space between the algorithm and "-sess", for example 
> "SHA-512-256<space>-sess"?

ABNF does not have implicit space between atoms. This is why, for 
example, many of the definitions of SIP header fields contain the "LWS" 
and "SWS" constructs (usually by way of some commonly-used definition 
such as "HCOLON").

/a

---

From: Christer Holmberg <[email-masked]>
Date: Thu, 31 Oct 2019 10:08:35 +0000

Hi,

> ABNF does not have implicit space between atoms. This is why, for example, many of the definitions of SIP header fields contain 
> the "LWS" and "SWS" constructs (usually by way of some commonly-used definition such as "HCOLON").

You are correct that there is no implicit space between. But, in SIP, isn't it still allowed to put spaces in between?

Regards

Christer